﻿@using Portal.Models.DataExch;
@using System.Web.UI.WebControls
@model Toyota.Common.Web.MVC.ModelHolder


@{     
    ViewBag.Title = "Send Data File";
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

<script type="text/javascript">
    $(document).ready(function () {
        if (!ASPxClientEdit.ValidateGroup(''))
            return;
        GVInbox.PerformCallback();
    });
    $(function () {
        $('#btn1').click(function () {
            simpleGrid.PerformCallback();
        });
    });
    function SelectionChanged(s, e) {
        s.GetSelectedFieldValues("MessageID", GetSelectedFieldValuesCallback);
    }
    function GetSelectedFieldValuesCallback(values) {
        for (var i = 0; i < values.length; i++) {
            SelectedRows.valueOf(values[i]);
        }
    }

    function OnGetValues(selectedValues) {
        selectedKeys = "";
        for (var i in selectedValues) {
            selectedKeys = selectedKeys + selectedValues[i] + ";";
        }
        GVInbox.PerformCallback();
    }

    function SelectionChanged(s, e) {
        var selectedValues = s.GetSelectedKeysOnPage();
        $('#selectedMsg_Row').val(selectedValues);
        globleCustomerId = $('#selectedMsg_Row').val();
    }
</script>

@Html.DevExpress().RoundPanel(
    settings =>
    {
        settings.Name = "Header";
        settings.HeaderText = "Action";
        settings.ShowHeader = true;
        settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
        settings.Width = Unit.Percentage(100);
        settings.SetContent(Html.Partial("DataExchangeHeader", null).ToHtmlString());                    
    }).GetHtml()   
<div style="height:5px"></div>    

@Html.DevExpress().PageControl(
    settings =>
    {
        settings.Name = "inboxOutboxTab";
        settings.TabAlign = TabAlign.Left;
        settings.TabPosition = TabPosition.Top;
        settings.Width = Unit.Percentage(100);
        settings.CallbackRouteValues = new { Controller = "DataExch", Action = "inboxOutboxTab_Changed" };
        settings.ClientSideEvents.BeginCallback = "function(s,e){e.customArgs['tabIndex'] = s.GetActiveTabIndex();}";

        settings.TabPages.Add("Inbox").SetContent(() =>
        {
            @Html.RenderPartial("GridMsgInboxPartial", Model);
        });

        settings.TabPages.Add("Outbox").SetContent(() =>
        {
            @Html.RenderPartial("GridMsgOutboxPartial", Model);
        });

    }).GetHtml()
 